View Issue Details

This bug affects 1 person(s).
 24
IDProjectCategoryView StatusLast Update
17648Bug reportsOtherpublic2022-11-28 11:08
Reporterifrass Assigned ToDenisChenu  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version5.x 
Fixed in Version5.4.x 
Summary17648: Email received by participant is empty (LDAP)
Description

By sending a grouping mail or onmy individual mail, mail received by participants is empty.

The bug is in the 4.6.3 version and in the 5.1.14 version.

By adding participants with LDAP query -> doesn't work
By adding participants manually and send email manually, it seems to work ...

Steps To Reproduce

Steps to reproduce

Survey particpants
Create LDAP query
(select the group you want to add ...)
Generate Tokens
Invitations & reminders
Send email invitation
(Email are sent by participants receive empty message)

Expected result

Tee system has to send the email with the message and the link to answer.

Actual result

Message received by participants (Oject : empty, message : empty)


De : Administrateur <cccccccc@uuuuuu.fr>
Date : lun. 4 oct. 2021 à 18:08
Objet :
À : xxxxxx yyyyyyyy <zzzzzzzz@yyyyyy.com>


TagsNo tags attached.
Bug heat24
Complete LimeSurvey version number (& build)5.1.14+210927
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionMariaDB 10.3.29
Server OS (if known)Debian 10 Buster
Webserver software & version (if known)Apache 2.4.38
PHP Version7.3.29

Relationships

has duplicate 17724 closedgabrieljenik Email received by participant is empty (LDAP) 
related to 18034 resolvedDenisChenu Date from token with invalid language show error and date not saved 

Users monitoring this issue

Activities

ifrass

ifrass

2021-10-26 11:06

reporter   ~66931

The bug exist with the 5.1.17+211025 version too.

ifrass

ifrass

2021-10-26 12:29

reporter   ~66932

Somebody else had the same problem with 5.1.4+210824 version

https://forums.limesurvey.org/forum/french-forum/125314-mail-d-invitation-vide#219607

The problem sems to come from the LDAP module

ebr974

ebr974

2021-12-29 12:02

reporter   ~67873

I have the same problem and confirm that is a ldap import issue.

When importing ldap, it's unable to set the user language in the table...But the lack of this information causes this issue!

The workaround is to set the desired language with the mass user modification option.

Maybe someone has have a solution to get language from the ldap module.

DenisChenu

DenisChenu

2022-04-13 09:00

developer   ~69035

Last edited: 2022-04-13 09:00

WIP : proposed solution : fix language of token just before send.

DenisChenu

DenisChenu

2022-04-14 12:58

developer   ~69070

https://github.com/LimeSurvey/LimeSurvey/pull/2352

DenisChenu

DenisChenu

2022-10-31 14:57

developer   ~72488

galads quit …

DenisChenu

DenisChenu

2022-11-10 15:47

developer   ~72702

https://github.com/LimeSurvey/LimeSurvey/pull/2691

DenisChenu

DenisChenu

2022-11-21 11:38

developer   ~72832

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=34052

LimeBot

LimeBot

2022-11-28 11:08

administrator   ~72911

Fixed in Release 5.4.13+221128

Related Changesets

LimeSurvey: master 9526dce1

2022-11-21 11:15:05

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17648: Email received by participant is empty (#2691) Affected Issues
17648
mod - application/controllers/admin/Tokens.php Diff File

Issue History

Date Modified Username Field Change
2021-10-05 10:20 ifrass New Issue
2021-10-11 10:16 ollehar Summary Email received by participant is empty => Email received by participant is empty (LDAP)
2021-10-26 11:06 ifrass Note Added: 66931
2021-10-26 11:06 ifrass Bug heat 0 => 2
2021-10-26 12:29 ifrass Note Added: 66932
2021-12-29 12:02 ebr974 Note Added: 67873
2021-12-29 12:02 ebr974 Bug heat 2 => 4
2022-01-06 12:37 ebr974 Issue Monitored: ebr974
2022-01-06 12:37 ebr974 Bug heat 4 => 6
2022-01-06 15:46 DenisChenu Issue Monitored: DenisChenu
2022-01-06 15:46 DenisChenu Bug heat 6 => 8
2022-04-12 10:19 galads Assigned To => DenisChenu
2022-04-12 10:19 galads Status new => assigned
2022-04-13 09:00 DenisChenu Status assigned => confirmed
2022-04-13 09:00 DenisChenu Note Added: 69035
2022-04-13 09:00 DenisChenu Bug heat 8 => 10
2022-04-13 09:00 DenisChenu Note Edited: 69035
2022-04-13 16:39 gabrieljenik Relationship added has duplicate 17724
2022-04-13 16:39 gabrieljenik Bug heat 10 => 18
2022-04-13 16:39 gabrieljenik Issue Monitored: ifrass
2022-04-13 16:39 gabrieljenik Bug heat 18 => 20
2022-04-13 16:39 gabrieljenik Issue Monitored: gabrieljenik
2022-04-13 16:39 gabrieljenik Bug heat 20 => 22
2022-04-14 12:07 DenisChenu Relationship added related to 18034
2022-04-14 12:08 DenisChenu Status confirmed => assigned
2022-04-14 12:58 DenisChenu Note Added: 69070
2022-04-14 12:58 DenisChenu Assigned To DenisChenu => galads
2022-04-14 12:58 DenisChenu Status assigned => ready for code review
2022-10-31 14:57 DenisChenu Assigned To galads =>
2022-10-31 14:57 DenisChenu Status ready for code review => ready for testing
2022-10-31 14:57 DenisChenu Note Added: 72488
2022-11-10 15:47 DenisChenu Status ready for testing => ready for merge
2022-11-10 15:47 DenisChenu Note Added: 72702
2022-11-21 11:38 DenisChenu Changeset attached => LimeSurvey master 9526dce1
2022-11-21 11:38 DenisChenu Note Added: 72832
2022-11-21 11:38 DenisChenu Assigned To => DenisChenu
2022-11-21 11:38 DenisChenu Resolution open => fixed
2022-11-22 14:18 DenisChenu Status ready for merge => resolved
2022-11-22 14:18 DenisChenu Fixed in Version => 5.4.x
2022-11-28 11:08 LimeBot Note Added: 72911
2022-11-28 11:08 LimeBot Status resolved => closed
2022-11-28 11:08 LimeBot Bug heat 22 => 24